---
title: Setup
slug: Web/API/WebRTC_API/build_a_phone_with_peerjs/setup
---
<p>{{WebRTCSidebar}} {{NextMenu("Web/API/WebRTC_API/build_a_phone_with_peerjs", "Web/API/WebRTC_API/build_a_phone_with_peerjs/Build_the_Server")}}</p>

<p id="3f63">So let’s set things up. First you’ll need to run <code>mkdir audio_app</code><br>
 and then <code>cd audio_app</code> &amp; finally you’ll want to create a new app by running <code>yarn init</code> . Follow the prompts, give a name, version, description, etc to your project. Next install the dependencies:</p>

<ul>
 <li id="30fc"><a href="https://expressjs.com/" rel="noopener nofollow">Express</a>: <code>yarn add express</code></li>
 <li id="be7c"><a href="https://peerjs.com/docs.html#api" rel="noopener nofollow">PeerJS</a>: <code>yarn add peerjs</code></li>
 <li id="6dbe"><a href="https://github.com/peers/peerjs-server" rel="noopener nofollow">Peer</a>: <code>yarn add peer</code></li>
</ul>

<p id="dea1">Peer will be used for the peer server and PeerJS will be used to access the PeerJS API and framework. Your <code>package.json</code> should look like this when you’ve finished installing the dependencies:</p>

<pre class="brush: js notranslate">{
  "name": "audio_app",
  "version": "1.0.0",
  "description": "An audio app using WebRTC",
  "main": "server.js",
  "scripts": {
    "start": "node server.js",
    "test": "echo \"Error: no test specified\" &amp;&amp; exit 1"
  },
  "keywords": [],
  "author": "Lola Odelola",
  "license": "MIT",
  "dependencies": {
    "express": "^4.17.1",
    "peer": "^0.5.3",
    "peerjs": "^1.3.1"
  }
}</pre>

<p>To finish up the setup, you’ll want to copy the <a href="https://gist.github.com/578d692e4700dfe2c9d239c80bbdbabc" rel="noopener nofollow">HTML</a> &amp; <a href="https://gist.github.com/b4498288b86ddce995603546a64abb29" rel="noopener nofollow">CSS</a> files I mentioned before, into your project folder.</p>

<p>{{NextMenu("Web/API/WebRTC_API/build_a_phone_with_peerjs", "Web/API/WebRTC_API/build_a_phone_with_peerjs/Build_the_Server")}}</p>
